# $Revision: 1.84.2.2 $, $Date: 2006/05/31 19:14:32 $
#
# Conditional build:
%bcond_with	glx # build for GLX support
#
Summary:	VTE terminal widget library
Summary(pl):	Biblioteka z kontrolk terminala VTE
Name:		vte
Version:	0.12.2
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/vte/0.12/%{name}-%{version}.tar.bz2
# Source0-md5:	7cb1bd6ca528bc4db5ec685549fd3eb1
Patch0:		%{name}-keys.patch
Patch1:		%{name}-nozvt.patch
%{?with_glx:BuildRequires:	OpenGL-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.10.3
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	gtk-doc
BuildRequires:	libart_lgpl-devel >= 2.3.10
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2.8.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(pre):	utempter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The vte package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

%description -l pl
Ten pakiet zawiera kontrolk terminala dla GTK+. Jest uywany przez
gnome-terminal oraz inne programy.

%package devel
Summary:	Headers for VTE
Summary(pl):	Pliki nagwkowe VTE
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel
Requires:	glib2-devel >= 2.10.3
Requires:	gtk+2-devel >= 2.8.18
Requires:	libart_lgpl-devel >= 2.3.10
Requires:	ncurses-devel
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
The vte package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

You should install the vte-devel package if you would like to
compile applications that use the vte terminal widget. You do not need
to install vte-devel if you just want to use precompiled
applications.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilowania programw uywajcych
vte.

%package static
Summary:	Static VTE library
Summary(pl):	Statyczna biblioteka VTE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of VTE libraries.

%description static -l pl
Statyczna wersja bibliotek VTE.

%package -n python-vte
Summary:	Python VTE module
Summary(pl):	Modu VTE dla pythona
Group:		Libraries
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-gtk >= 1.99.13

%description -n python-vte
Python VTE library.

%description -n python-vte -l pl
Biblioteka VTE dla pythona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure \
	--with-xft2 \
	--with-pangox \
	%{?with_glx:--with-glX} \
	--with-default-emulation=xterm \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/*.{la,a}
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang vte

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f vte.lang
%defattr(644,root,root,755)
%doc NEWS README AUTHORS
%attr(755,root,root) %{_bindir}/vte
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/vte
%attr(755,root,root) %{_libdir}/vte/*
%attr(2755,root,utmp) %{_libdir}/gnome-pty-helper
%{_datadir}/vte

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*
%{_gtkdocdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n python-vte
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vte.spec,v $
Revision 1.84.2.2  2006/05/31 19:14:32  freetz
- 0.12.2, GNOME 2.14.2 deps

Revision 1.84.2.1  2006/05/15 14:33:50  baggins
- merged from HEAD

Revision 1.91  2006/04/28 16:20:56  freetz
- 0.12.1

Revision 1.90  2006/03/13 08:13:32  freetz
- 0.12.0

Revision 1.89  2006/03/08 22:52:40  freetz
- 0.11.21

Revision 1.88  2006/03/03 12:35:21  charles
- BR s/python/rpm-pythonprov/

Revision 1.87  2006/02/26 15:24:26  freetz
- 0.11.20

Revision 1.86  2006/02/25 09:54:21  freetz
- 0.11.19

Revision 1.85  2006/02/11 21:09:34  freetz
- 0.11.18

Revision 1.84  2006/01/29 20:04:48  freetz
- 0.11.17, pkgconfig fix obsoleted

Revision 1.83  2006/01/28 15:09:04  charles
- added %{rpmcflags} to CFLAGS

Revision 1.82  2006/01/28 08:23:32  freetz
- rel.2

Revision 1.81  2006/01/27 17:29:36  wolf
- unbreak pkgconfig

Revision 1.80  2005/12/14 10:50:13  freetz
- 0.11.16 - many optimizations and hugev performance improvement with a11y
  enabled

Revision 1.79  2005/08/23 10:28:32  paladine
- updated to 0.11.15
- removed atktextselection patch

Revision 1.78  2005/08/03 16:24:21  freetz
- back to rel.1 (glib bug http://bugzilla.gnome.org/show_bug.cgi?id=312402)

Revision 1.77  2005/08/03 14:19:04  freetz
- broken, rel. down to 0.1

Revision 1.76  2005/08/03 08:53:52  aflinta
- up to version 0.11.14

Revision 1.75  2005/06/26 00:39:04  zbyniu
- rel 2, STBR

Revision 1.74  2005/06/26 00:29:34  zbyniu
- R: ncurses-devel in -devel

Revision 1.73  2005/04/17 20:40:01  paladine
- BR: rpmbuild(macros) >= 1.197

Revision 1.72  2005/04/15 19:35:36  freetz
- updated to 0.11.13, removed outdated tyes patch, updated atkselection
  patch, bcond desc fix, other patches are back too

Revision 1.71  2005/03/28 00:28:41  havner
- rel 1

Revision 1.70  2005/03/08 20:34:20  qboosh
- reverted; xft-devel is provided by X.org (or libXft from xlibs)

Revision 1.69  2005/03/07 08:27:24  charles
- rm BR: xft-devel (X11-devel conflict)

Revision 1.68  2005/03/07 08:15:25  charles
- BR: gettext-devel, ncurses-devel, pkgconfig, python
- rm obsolete BR: rpm-pythonprov

Revision 1.67  2005/03/05 18:31:32  aflinta
- up to version 0.11.12, needs testing, do we need stil these patches?

Revision 1.66  2005/01/09 17:39:03  saq
- missing pyreqeq, release 11

Revision 1.65  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.64  2004/11/14 21:47:54  havner
- rel up for rebuild with python-pygtk

Revision 1.63  2004/08/16 15:06:53  havner
- rel 9

Revision 1.62  2004/08/16 14:39:10  havner
- wrong patch level, wrrr

Revision 1.61  2004/08/16 14:23:10  havner
- nozvt patch
- removed BR: libzvt
- rel 7

Revision 1.60  2004/08/16 14:00:27  ankry
- BR: libzvt, rel. 6

Revision 1.59  2004/08/12 18:16:03  krzak
- fixed home end sequence in keys.patch
- rel 5

Revision 1.58  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.57  2004/07/10 21:50:32  jpc
- glx bcond (and turned it off by default - prove please that
  this is is useful and not only an unnecesary dep)

Revision 1.56  2004/06/11 12:45:02  jpc
- rel 4
- STBR (it really gives a huge performance boost)

Revision 1.55  2004/06/10 18:39:58  krzak
- performance.patch - improve vte performance
- rel 3

Revision 1.54  2004/06/10 17:08:07  krzak
- rel 2.
- vte-types-include.patch fix include order
- vte-atktextselection.patch fix AtkText selection stuff

Revision 1.53  2004/05/06 12:49:10  qboosh
- removed obsolete link patch, strict internal deps
- python- R: python-pygtk-gtk
- release 1

Revision 1.52  2004/05/06 11:42:47  aflinta
- up to version 0.11.11, do we still need link.patch? If not, bump release to 1 and STBR

Revision 1.51  2004/02/02 12:08:44  qboosh
- added localenames patch, rename no->nb
- added link patch (link libvte with gtk)
- removed obsolete -lncurses hack, release 3

Revision 1.50  2004/02/01 12:07:54  krzak
- BR: OpenGL-devel
- R: OpenGL-devel for devel package
- rel 2

Revision 1.49  2003/10/15 18:11:10  saq
- BR: gtk-doc

Revision 1.48  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.47  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.46  2003/06/17 05:14:16  aflinta
- version 0.11.10

Revision 1.45  2003/06/03 17:20:51  aflinta
- version 0.11.9

Revision 1.44  2003/06/02 14:00:05  aflinta
- version 0.11.8

Revision 1.43  2003/05/27 12:45:12  trojan
- added Source-md5

Revision 1.42  2003/05/25 06:27:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/05/20 10:07:08  aflinta
- version 0.11.7

Revision 1.40  2003/05/06 20:50:36  aflinta
- version 0.11.6

Revision 1.39  2003/04/30 20:22:52  aflinta
- version 0.11.5

Revision 1.38  2003/04/25 08:28:01  aflinta
- updated to version 0.11.4

Revision 1.37  2003/04/22 16:21:50  aflinta
- updated to version 0.11.3

Revision 1.36  2003/04/15 06:47:36  aflinta
- updated to version 0.11.1

Revision 1.35  2003/04/06 13:57:59  grzegol
- added sigsegv patch (fixes sigsegv of gnome-terminal on quit)
- rel. 2

Revision 1.34  2003/03/28 06:19:05  adgor
- fixed br

Revision 1.33  2003/03/26 23:07:43  aflinta
- updated to version 0.11.0

Revision 1.32  2003/03/04 20:19:15  aflinta
- updated to version 0.10.26

Revision 1.31  2003/03/04 10:12:44  aflinta
- updated BR

Revision 1.30  2003/03/03 09:41:03  qrczak
- vte-keys.patch: fix Home & End in the default mode (but I don't know
  what they should generate in other modes), map Shift-F1 to F11 ...
  Shift-F10 to F20.
- Release 2.

Revision 1.29  2003/02/25 05:50:34  aflinta
- updated to version 0.10.25

Revision 1.28  2003/02/22 12:27:46  aflinta
- updated to version 0.10.23

Revision 1.27  2003/02/20 15:40:30  aflinta
- updated to version 0.10.22

Revision 1.26  2003/02/20 06:30:44  aflinta
- updated to version 0.10.21

Revision 1.25  2003/02/15 09:31:01  trojan
- updated 0.10.20

Revision 1.24  2003/02/13 20:00:18  aflinta
- updated to version 0.10.19

Revision 1.23  2003/02/03 21:35:01  grzegol
- updated to 0.10.17

Revision 1.22  2003/01/31 18:13:27  aflinta
- updated to version 0.10.16

Revision 1.21  2003/01/28 08:44:20  aflinta
- updated to version 0.10.15

Revision 1.20  2003/01/24 11:01:03  aflinta
- updated to version 0.10.14

Revision 1.19  2003/01/20 21:28:57  aflinta
- updated to version 0.10.12

Revision 1.18  2003/01/18 15:50:29  aflinta
- updated to version 0.10.11

Revision 1.17  2003/01/14 19:53:57  aflinta
- finished

Revision 1.16  2003/01/14 19:27:50  aflinta
- started update to version 0.10.10

Revision 1.15  2003/01/06 19:53:13  aflinta
- updated to version 0.10.8

Revision 1.14  2002/12/29 22:28:10  adgor
- Added %{_datadir}/vte to %files

Revision 1.13  2002/12/12 06:25:59  aflinta
- updated to version 0.10.7

Revision 1.12  2002/12/10 23:18:14  aflinta
- updated to version 0.10.6

Revision 1.11  2002/12/07 15:48:06  aflinta
- rebuild with latest Xft
- release 2

Revision 1.10  2002/12/04 16:16:12  wrobell
- changed prefix to /usr
- _gtkdocdir defined in rpm.macros
- removed bad Xft2 patch

Revision 1.9  2002/12/03 08:30:20  aflinta
- updated to version 0.10.5

Revision 1.8  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/11/22 11:18:57  wrobell
- clean up
- rel. 1

Revision 1.6  2002/11/21 20:27:24  aflinta
- enabled gtk-doc

Revision 1.5  2002/11/21 18:17:58  wrobell
- removed bogus macros
- gnome-common is not required to build (?)
- fixed file permissions for devel and python packages

Revision 1.4  2002/11/21 18:04:43  aflinta
- python-vte subpackage

Revision 1.3  2002/11/21 16:53:19  wiget
- updated to 0.10.4

Revision 1.2  2002/11/21 16:27:17  wiget
- apply patch0

Revision 1.1  2002/11/08 17:14:03  wiget
- initial version based on libzvt.spec
